Keyword

Can't upgrade K2 component to latest version

  • Raivis Kapteinis-Miezeris
  • Raivis Kapteinis-Miezeris's Avatar Topic Author
  • Offline
  • New Member
More
5 months 1 week ago #174151 by Raivis Kapteinis-Miezeris
Raivis Kapteinis-Miezeris created the topic: Can't upgrade K2 component to latest version
Hello!
I have installed Joomla with latest version and K2 v2.9.0. When I try to update K2 to v2.10.2, I receive an error: Unknown character set: 'utf8mb4'.
Default charset of MySQL server ir UTF8, DB default charset is UTF8, also tables default charset is utf8.
What is the problem?

Please Log in or Create an account to join the conversation.

  • Fotis
  • Fotis's Avatar
  • Away
  • Administrator
  • JoomlaWorks Support Team
More
5 months 1 week ago #174156 by Fotis
Fotis replied the topic: Can't upgrade K2 component to latest version
You're probably using a very old MySQL version (before 5.5.3). You need to contact your hosting provider and request an upgrade to the latest sub-version in 5.5.

If this is not possible, do the following:
- Download K2 from its GitHub repo: github.com/getk2/k2/archive/master.zip
- Extract that zip file. It will create a "k2-master" folder and in that folder edit the file administrator/components/com_k2/install.mysql.sql replacing all "utf8mb4" instances with "utf8".
- Re-zip the CONTENTS of the "k2-master" folder and upload to your site for installation.

If you use & love K2, please take a moment to add your review and rate it
at the Joomla Extensions Directory: extensions.joomla.org/extension/k2/


IMPORTANT: Please search the forum before posting a question!

JoomlaWorks Support Team Member

Please Log in or Create an account to join the conversation.

More
1 week 2 days ago #175896 by Dotty
Dotty replied the topic: Can't upgrade K2 component to latest version
Hi Fotis - that didn't work for us. Even after a find and replace on that file we're getting the following error on uploading the new ZIP. Could "utf8mb4" be referenced elsewhere?

Thanks - David

Error:
Warning
Unknown character set: 'utf8mb4'

Please Log in or Create an account to join the conversation.

  • Fotis
  • Fotis's Avatar
  • Away
  • Administrator
  • JoomlaWorks Support Team
More
1 week 1 day ago #175909 by Fotis
Fotis replied the topic: Can't upgrade K2 component to latest version
What's your MySQL version?

If you use & love K2, please take a moment to add your review and rate it
at the Joomla Extensions Directory: extensions.joomla.org/extension/k2/


IMPORTANT: Please search the forum before posting a question!

JoomlaWorks Support Team Member

Please Log in or Create an account to join the conversation.

More
1 week 1 day ago #175918 by Dotty
Dotty replied the topic: Can't upgrade K2 component to latest version
Hi Fotis,

Here's the version. It's a legacy box clearly.. but is it possible?

Database Type mysql
Database Version 5.1.73
Database Collation utf8_general_ci
Database Connection Collation utf8_general_ci
PHP Version 7.2.29
Web Server Apache/2.2.15

Please Log in or Create an account to join the conversation.

  • Fotis
  • Fotis's Avatar
  • Away
  • Administrator
  • JoomlaWorks Support Team
More
3 days 17 hours ago #175937 by Fotis
Fotis replied the topic: Can't upgrade K2 component to latest version
If you can have PHP 7.2, you can clearly update to MySQL 5.6 or 5.7. If MySQL is stuck on 5.1 because of the OS's repos, then use MySQL's official repo which is a much better option either way.

Every other solution would be a hack...

If you use & love K2, please take a moment to add your review and rate it
at the Joomla Extensions Directory: extensions.joomla.org/extension/k2/


IMPORTANT: Please search the forum before posting a question!

JoomlaWorks Support Team Member

Please Log in or Create an account to join the conversation.

More
3 days 7 hours ago - 3 days 7 hours ago #175952 by Dotty
Dotty replied the topic: Can't upgrade K2 component to latest version
Understood - thanks again for your input.
Last edit: 3 days 7 hours ago by Dotty.

Please Log in or Create an account to join the conversation.

  • Fotis
  • Fotis's Avatar
  • Away
  • Administrator
  • JoomlaWorks Support Team
More
3 days 3 hours ago #175956 by Fotis
Fotis replied the topic: Can't upgrade K2 component to latest version
If you check Joomla's technical requirements for MySQL you'll see that the recommended version is 5.5.x either way: downloads.joomla.org/technical-requirements

If you use & love K2, please take a moment to add your review and rate it
at the Joomla Extensions Directory: extensions.joomla.org/extension/k2/


IMPORTANT: Please search the forum before posting a question!

JoomlaWorks Support Team Member

Please Log in or Create an account to join the conversation.

More
3 days 1 hour ago #175960 by Dotty
Dotty replied the topic: Can't upgrade K2 component to latest version
Absolutely - it's a box that should have been upgraded years ago but there's other complications which meant we kept putting it off. To be honest it's says a lot about Joomla and K2 that everything kept running this long.

Please Log in or Create an account to join the conversation.

  • Fotis
  • Fotis's Avatar
  • Away
  • Administrator
  • JoomlaWorks Support Team
More
2 days 23 hours ago #175964 by Fotis
Fotis replied the topic: Can't upgrade K2 component to latest version
True dat :)

If you use & love K2, please take a moment to add your review and rate it
at the Joomla Extensions Directory: extensions.joomla.org/extension/k2/


IMPORTANT: Please search the forum before posting a question!

JoomlaWorks Support Team Member

Please Log in or Create an account to join the conversation.


Powered by Kunena Forum